Qt 5.13 | Qt NFC | QQmlNdefRecord Proxy Page

Qt 5.13.2 Reference Documentation

# QQmlNdefRecord Proxy Page

## Macros

| Q_DECLARE_NDEFRECORD(className, typeNameFormat, type)

## Macro Documentation

### Q_DECLARE_NDEFRECORD(className, typeNameFormat, type)

This macro ensures that className is declared as the class implementing the NDEF record identified by typeNameFormat and type.

This macro should be expanded in the implementation file for className.